// Navigation Menu Vertical

.vertical-nav-menu {
  margin: 0;
  padding: 0;
  position: relative;
  list-style: none;

  &::after {
    content: " ";
    pointer-events: none;
    position: absolute;
    bottom: 0;
    #{$start-direction}:  0;
    #{$end-direction}:  0;
    top: 0;
  }

  .mm-collapse:not(.mm-show) {
    display: none;
  }

  .mm-collapsing {
    position: relative;
    height: 0;
    overflow: hidden;
    transition-timing-function: ease;
    transition-duration: .25s;
    transition-property: height, visibility;
  }

  ul {
    margin: 0;
    padding: 0;
    position: relative;
    list-style: none;
  }

  &:before {
    opacity: 0;
    transition: opacity 300ms;
  }

  li {
    a {
      display: block;
      line-height: 2.4rem;
      height: 2.4rem;
      padding-top:0;
      padding-bottom:0;
      padding-#{$start-direction}:45px;
      padding-#{$end-direction}:$layout-spacer-x;
      position: relative;
      @include border-radius($border-radius);
      color: $gray-800;
      white-space: nowrap;
      transition: all .2s;
      margin: .1rem 0;

      &:hover {
        background: $dropdown-link-hover-bg;
        text-decoration: none;

        i.metismenu-icon {
          opacity: 1;
        }

        i.metismenu-state-icon {
          opacity: 1;
        }
      }
    }

    &.mm-active > a {
      font-weight: bold;

      i.metismenu-state-icon {
        transform: rotate(-180deg);
      }
    }

    a.mm-active {
      color: $gray-800;
      background: $dropdown-link-hover-bg;
      font-weight: bold;
    }
  }

  i.metismenu-state-icon,
  i.metismenu-icon {
    text-align: center;
    width: 34px;
    height: 34px;
    line-height: 34px;
    position: absolute;
    #{$start-direction}:  5px;
    top: 50%;
    margin-top: -17px;
    font-size: 1.5rem;
    opacity: 1;
    transition: color 300ms;
  }

  i.metismenu-state-icon {
    transition: transform 300ms;
    #{$start-direction}:  auto;
    #{$end-direction}:  0;
  }

  ul {
    transition: padding 300ms;
    padding-top: .5em;
    padding-#{$start-direction}:2rem;

    &:before {
      content: '';
      height: 100%;
      opacity: 1;
      width: 3px;
      background: $dropdown-link-hover-bg;
      position: absolute;
      #{$start-direction}:  20px;
      top: 0;
      @include border-radius(15px);
    }

    & > li > a {
      color: $gray-600;
      height: 2rem;
      line-height: 2rem;
      padding: 0 $layout-spacer-x 0;

      &:hover {
        color: $primary;
      }

      .metismenu-icon {
        display: none;
      }

      &.mm-active {
        color: $primary;
        background: $dropdown-link-hover-bg;
        font-weight: bold;
      }
    }
  }
}